cURL
curl -X GET \
/notifications/{id} \
--header "Authorization: Bearer <token>"import requests
url = "https://coreapi.io/notifications/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/notifications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/notifications/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "<string>",
"type": {
"name": "<string>",
"description": "<string>"
},
"channel": "email",
"payload": [
"<string>"
],
"recipients": [
"<string>"
],
"status": "sent",
"createdAt": "2023-11-07T05:31:56Z",
"deliverAt": "2023-11-07T05:31:56Z",
"sentAt": "2023-11-07T05:31:56Z"
}Notification
Get a notification
Get a notification by id
GET
/
notifications
/
{id}
cURL
curl -X GET \
/notifications/{id} \
--header "Authorization: Bearer <token>"import requests
url = "https://coreapi.io/notifications/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/notifications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/notifications/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "<string>",
"type": {
"name": "<string>",
"description": "<string>"
},
"channel": "email",
"payload": [
"<string>"
],
"recipients": [
"<string>"
],
"status": "sent",
"createdAt": "2023-11-07T05:31:56Z",
"deliverAt": "2023-11-07T05:31:56Z",
"sentAt": "2023-11-07T05:31:56Z"
}Autorisierungen
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Pfadparameter
SentNotification identifier
Antwort
SentNotification resource
Show child attributes
Show child attributes
Verfügbare Optionen:
email, sms, slack, letter Verfügbare Optionen:
sent, failed, pending War diese Seite hilfreich?